View Issue Details

IDProjectCategoryView StatusLast Update
0005373SymmetricDS ProBugpublic2022-07-26 13:10
Reporteremiller Assigned Toemiller  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.13.0 
Target Version3.13.7Fixed in Version3.13.7 
Summary0005373: NPE when Choose Admin User screen of Node Setup Wizard updates its properties
DescriptionWhen the Choose Admin User screen of Node Setup Wizard updates its properties, it can encounter the following NullPointerException:

2022-02-24 12:38:46,703 ERROR [gui] [cB] [qtp212011969-15] null
StackTraceKey.init [NullPointerException:2286761728]
java.lang.NullPointerException
     at
com.jumpmind.symmetric.console.impl.cB.b(ChooseAdminUserScreen.java:226)
     at
org.jumpmind.vaadin.ui.common.CommonUiUtils.lambda$notify$14bd2ccf$1(CommonUiUtils.java:164)
     at
com.vaadin.flow.component.notification.GeneratedVaadinNotification.lambda$addOpenedChangeListener$f649ebe3$1(GeneratedVaadinNotification.java:260)
     at
com.vaadin.flow.internal.nodefeature.ElementPropertyMap.lambda$fireEvent$2(ElementPropertyMap.java:457)
     at java.util.ArrayList.forEach(Unknown Source)
     at
com.vaadin.flow.internal.nodefeature.ElementPropertyMap.fireEvent(ElementPropertyMap.java:457)
     at
com.vaadin.flow.internal.nodefeature.ElementPropertyMap.access$100(ElementPropertyMap.java:50)
     at
com.vaadin.flow.internal.nodefeature.ElementPropertyMap$PutResult.run(ElementPropertyMap.java:168)
     at
com.vaadin.flow.internal.nodefeature.ElementPropertyMap.put(ElementPropertyMap.java:150)
     at
com.vaadin.flow.internal.nodefeature.AbstractPropertyMap.setProperty(AbstractPropertyMap.java:62)
     at
com.vaadin.flow.internal.nodefeature.ElementPropertyMap.setProperty(ElementPropertyMap.java:97)
     at
com.vaadin.flow.dom.impl.BasicElementStateProvider.setProperty(BasicElementStateProvider.java:270)
     at com.vaadin.flow.dom.Element.setRawProperty(Element.java:795)
     at com.vaadin.flow.dom.Element.setProperty(Element.java:682)
     at
com.vaadin.flow.component.notification.GeneratedVaadinNotification.setOpened(GeneratedVaadinNotification.java:161)
     at
com.vaadin.flow.component.notification.Notification.setOpened(Notification.java:438)
     at
com.vaadin.flow.component.notification.Notification.open(Notification.java:303)
     at
org.jumpmind.vaadin.ui.common.CommonUiUtils.notify(CommonUiUtils.java:168)
     at
org.jumpmind.vaadin.ui.common.CommonUiUtils.notify(CommonUiUtils.java:136)
     at
com.jumpmind.symmetric.console.impl.cB.A(ChooseAdminUserScreen.java:226)
     at
com.jumpmind.symmetric.console.impl.cB.q(ChooseAdminUserScreen.java:274)
     at com.jumpmind.symmetric.console.impl.cK.c(NodeSetupWizard.java:210)
     at com.jumpmind.symmetric.console.impl.cK.b(NodeSetupWizard.java:110)
     at
com.vaadin.flow.component.ComponentEventBus.fireEventForListener(ComponentEventBus.java:205)
     at
com.vaadin.flow.component.ComponentEventBus.handleDomEvent(ComponentEventBus.java:373)
     at
com.vaadin.flow.component.ComponentEventBus.lambda$addDomTrigger$dd1b7957$1(ComponentEventBus.java:264)
     at
com.vaadin.flow.internal.nodefeature.ElementListenerMap.lambda$fireEvent$2(ElementListenerMap.java:443)
     at java.util.ArrayList.forEach(Unknown Source)
     at
com.vaadin.flow.internal.nodefeature.ElementListenerMap.fireEvent(ElementListenerMap.java:443)
     at
com.vaadin.flow.server.communication.rpc.EventRpcHandler.handleNode(EventRpcHandler.java:62)
     at
com.vaadin.flow.server.communication.rpc.AbstractRpcInvocationHandler.handle(AbstractRpcInvocationHandler.java:66)
     at
com.vaadin.flow.server.communication.ServerRpcHandler.handleInvocationData(ServerRpcHandler.java:438)
     at
com.vaadin.flow.server.communication.ServerRpcHandler.lambda$handleInvocations$1(ServerRpcHandler.java:419)
     at java.util.ArrayList.forEach(Unknown Source)
     at
com.vaadin.flow.server.communication.ServerRpcHandler.handleInvocations(ServerRpcHandler.java:419)
     at
com.vaadin.flow.server.communication.ServerRpcHandler.handleRpc(ServerRpcHandler.java:320)
     at
com.vaadin.flow.server.communication.UidlRequestHandler.synchronizedHandleRequest(UidlRequestHandler.java:92)
     at
com.vaadin.flow.server.SynchronizedRequestHandler.handleRequest(SynchronizedRequestHandler.java:40)
     at
com.vaadin.flow.server.VaadinService.handleRequest(VaadinService.java:1578)
     at com.vaadin.flow.server.VaadinServlet.service(VaadinServlet.java:252)
     at
com.jumpmind.symmetric.console.ui.AppServlet.service(AppServlet.java:36)
     at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
     at
org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:799)
     at
org.eclipse.jetty.servlet.ServletHandler$ChainEnd.doFilter(ServletHandler.java:1631)
     at
org.eclipse.jetty.websocket.server.WebSocketUpgradeFilter.doFilter(WebSocketUpgradeFilter.java:228)
     at
org.eclipse.jetty.servlet.FilterHolder.doFilter(FilterHolder.java:193)
     at
org.eclipse.jetty.servlet.ServletHandler$Chain.doFilter(ServletHandler.java:1601)
     at
org.jumpmind.symmetric.web.HttpMethodFilter.doFilter(HttpMethodFilter.java:60)
     at
org.eclipse.jetty.servlet.FilterHolder.doFilter(FilterHolder.java:193)
     at
org.eclipse.jetty.servlet.ServletHandler$Chain.doFilter(ServletHandler.java:1601)
     at
org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:548)
     at
org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:143)
     at
org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:600)
     at
org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:127)
     at
org.eclipse.jetty.server.handler.ScopedHandler.nextHandle(ScopedHandler.java:235)
     at
org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:1624)
     at
org.eclipse.jetty.server.handler.ScopedHandler.nextHandle(ScopedHandler.java:233)
     at
org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1434)
     at
org.eclipse.jetty.server.handler.ScopedHandler.nextScope(ScopedHandler.java:188)
     at
org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:501)
     at
org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:1594)
     at
org.eclipse.jetty.server.handler.ScopedHandler.nextScope(ScopedHandler.java:186)
     at
org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:1349)
     at
org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:141)
     at
org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:127)
     at org.eclipse.jetty.server.Server.handle(Server.java:516)
     at
org.eclipse.jetty.server.HttpChannel.lambda$handle$1(HttpChannel.java:400)
     at org.eclipse.jetty.server.HttpChannel.dispatch(HttpChannel.java:645)
     at org.eclipse.jetty.server.HttpChannel.handle(HttpChannel.java:392)
     at
org.eclipse.jetty.server.HttpConnection.onFillable(HttpConnection.java:277)
     at
org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded(AbstractConnection.java:311)
     at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:105)
     at
org.eclipse.jetty.io.ssl.SslConnection$DecryptedEndPoint.onFillable(SslConnection.java:555)
     at
org.eclipse.jetty.io.ssl.SslConnection.onFillable(SslConnection.java:410)
     at
org.eclipse.jetty.io.ssl.SslConnection$2.succeeded(SslConnection.java:164)
     at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:105)
     at org.eclipse.jetty.io.ChannelEndPoint$1.run(ChannelEndPoint.java:104)
     at
org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.runTask(EatWhatYouKill.java:338)
     at
org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.doProduce(EatWhatYouKill.java:315)
     at
org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.tryProduce(EatWhatYouKill.java:173)
     at
org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.run(EatWhatYouKill.java:131)
     at
org.eclipse.jetty.util.thread.ReservedThreadExecutor$ReservedThread.run(ReservedThreadExecutor.java:409)
     at
org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:883)
     at
org.eclipse.jetty.util.thread.QueuedThreadPool$Runner.run(QueuedThreadPool.java:1034)
     at java.lang.Thread.run(Unknown Source)
Steps To ReproduceEither case to reproduce:
1. Password doesn't meet the requirements
2. Two password fields don't match
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2022-07-21 19:02 emiller New Issue
2022-07-21 19:02 emiller Status new => assigned
2022-07-21 19:02 emiller Assigned To => emiller
2022-07-21 19:17 emiller Status assigned => resolved
2022-07-21 19:17 emiller Resolution open => fixed
2022-07-21 19:17 emiller Fixed in Version => 3.13.7
2022-07-26 13:10 elong Steps to Reproduce Updated View Revisions